songrec-recognize(1)

NAME
songrec-recognize - Recognize one song from a sound file or microphone and print its info.

SYNOPSIS
songrec recognize [-l|--list-devices] [-d|--audio-device] [-i|--request-interval] [-j|--json] [-c|--csv] [-h|--help] [input_file]

DESCRIPTION
Recognize one song from a sound file or microphone and print its info.

OPTIONS

-l, --list-devices
    List available audio devices and quit

-d, --audio-device
    Specify the audio device to use

-i, --request-interval [default: 10]
    Shazam interval between requests in seconds (increase if you are rate-limited)

-j, --json
    Enable printing full song info in JSON

-c, --csv
    Enable printing full song info in the CSV format

-h, --help
    Print help

[input_file]
    Recognize a file instead of using mic input